### `type`

Type of the loaded image.

**Type:** `ComputedRef<ImageTypeItem>`

**Possible values:**

```ts
enum ImageTypeValue {
  pdf = 'pdf',
  file = 'file',
  image = 'image',
  flag = 'flag',
  color = 'color',
  public = 'public',
  filled = 'filled',
  outlined = 'outlined',
  round = 'round',
  sharp = 'sharp',
  twoTone = 'two-tone',
  material = 'material',
  icon = 'icon'
}
```

### `data`

Information about the loaded image, including its dimensions and source.

**Type:** `Ref<ImageEventItem>`
